@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
async_context_threadsafe_background
pico_async_context

async_context_threadsafe_background provides an implementation of async_context that handles asynchronous work in a low priority IRQ, and there is no need for the user to poll for work More...

## Functions

bool | async_context_threadsafe_background_init (async_context_threadsafe_background_t *self, async_context_threadsafe_background_config_t *config)
| Initialize an async_context_threadsafe_background instance using the specified configuration.
async_context_threadsafe_background_config_t | async_context_threadsafe_background_default_config (void)
| Return a copy of the default configuration object used by async_context_threadsafe_background_init_with_defaults().
static bool | async_context_threadsafe_background_init_with_defaults (async_context_threadsafe_background_t *self)
| Initialize an async_context_threadsafe_background instance with default values.

## Detailed Description

async_context_threadsafe_background provides an implementation of async_context that handles asynchronous work in a low priority IRQ, and there is no need for the user to poll for work

Note
  The workers used with this async_context MUST be safe to call from an IRQ.

## Function Documentation

## async_context_threadsafe_background_default_config()

async_context_threadsafe_background_config_t async_context_threadsafe_background_default_config | ( | void |  | ) |

Return a copy of the default configuration object used by async_context_threadsafe_background_init_with_defaults().

The caller can then modify just the settings it cares about, and call async_context_threadsafe_background_init()

Returns
  the default configuration object

## async_context_threadsafe_background_init()

bool async_context_threadsafe_background_init | ( | async_context_threadsafe_background_t * | self,
|  | async_context_threadsafe_background_config_t * | config )

Initialize an async_context_threadsafe_background instance using the specified configuration.

If this method succeeds (returns true), then the async_context is available for use and can be de-initialized by calling async_context_deinit().

Parameters

  self | a pointer to async_context_threadsafe_background structure to initialize
  config | the configuration object specifying characteristics for the async_context

Returns
  true if initialization is successful, false otherwise

## async_context_threadsafe_background_init_with_defaults()

bool async_context_threadsafe_background_init_with_defaults | ( | async_context_threadsafe_background_t * | self | ) |

inline static

Initialize an async_context_threadsafe_background instance with default values.

If this method succeeds (returns true), then the async_context is available for use and can be de-initialized by calling async_context_deinit().

Parameters

  self | a pointer to async_context_threadsafe_background structure to initialize

Returns
  true if initialization is successful, false otherwise